derive-2.6.5: A program and library to derive instances for data types

Safe Haskell | None
Language | Haskell2010

Language.Haskell.TH.All

Synopsis

- data Derivation = Derivation {
  - derivationDeriver :: DataDef -> Q [Dec]
  - derivationName :: String
  }
- derivation :: (DataDef -> [Dec]) -> String -> Derivation
- derivationQ :: (DataDef -> Q [Dec]) -> String -> Derivation
- module Language.Haskell.TH.Syntax
- module Language.Haskell.TH.Peephole
- module Language.Haskell.TH.Helper
- module Language.Haskell.TH.Data
- module Language.Haskell.TH.ExpandSynonym

# Documentation

data Derivation Source #

The type of ways to derive classes. Should not really be in this module!

Constructors

Derivation |

Fields

- derivationDeriver :: DataDef -> Q [Dec]

  The derivation function proper

- derivationName :: String

  The name of the derivation

derivation :: (DataDef -> [Dec]) -> String -> Derivation Source #

derivationQ :: (DataDef -> Q [Dec]) -> String -> Derivation Source #

module Language.Haskell.TH.Syntax

module Language.Haskell.TH.Peephole

module Language.Haskell.TH.Helper

module Language.Haskell.TH.Data

module Language.Haskell.TH.ExpandSynonym